Firmware

Firmware eligible devices, enrollment, scheduling, upgrade history, autorenewal, and cancellations.

1 of 7

Filtering by query: /v1.0/firmware/{corpId}/devices/enroll

POST/v1.0/firmware/{corpId}/devices/enrollChanges dataPermalink ↗

Enroll firmware device or devices. This endpoint can only be accessed by scope org_super with aux_soft_mgmt.

Parameters

corpIdpathstringrequired

Device Group

firmwareDevicesEnrollbodyFirmwareDevicesEnrollrequired

firmwareDevicesEnroll

cURL
curl -X POST "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/firmware/NORTHSTAR-ISD/devices/enroll" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "example": true,
  "corpId": "NORTHSTAR-ISD"
}'

Build your first call in 5 minutes.

Grab a Dev SIM, get an API key, and POST /v1.0/auth/token from anywhere.